Package org.eclipse.graphiti.features.context.impl

# Class AddConnectionContext

java.lang.Object
org.eclipse.graphiti.PropertyBag
org.eclipse.graphiti.internal.features.context.impl.base.DefaultContext
org.eclipse.graphiti.features.context.impl.LocationContext
org.eclipse.graphiti.features.context.impl.AreaContext
org.eclipse.graphiti.features.context.impl.AddContext
org.eclipse.graphiti.features.context.impl.AddConnectionContext

All Implemented Interfaces:
  `IAddConnectionContext`, `IAddContext`, `IAreaContext`, `IConnectionContext`, `IContext`, `ILocationContext`, `ITargetConnectionContext`, `ITargetConnectionDecoratorContext`, `ITargetContext`, `IPropertyBag`

public class AddConnectionContext extends AddContext implements IAddConnectionContext
The Class AddConnectionContext.

## Constructor Summary

Constructors
Constructor
Description
`AddConnectionContext(Anchor sourceAnchor, Anchor targetAnchor)`
Creates a new `AddConnectionContext`.

## Method Summary

Modifier and Type
Method
Description
`Anchor`
`getSourceAnchor()`
Gets the source anchor.
`Anchor`
`getTargetAnchor()`
Gets the target anchor.
`String`
`toString()`

### Methods inherited from class org.eclipse.graphiti.features.context.impl.AddContext

`getNewObject, getTargetConnection, getTargetConnectionDecorator, getTargetContainer, setNewObject, setTargetConnection, setTargetConnectionDecorator, setTargetContainer`

### Methods inherited from class org.eclipse.graphiti.features.context.impl.AreaContext

`getHeight, getWidth, setHeight, setSize, setWidth`

### Methods inherited from class org.eclipse.graphiti.features.context.impl.LocationContext

`getX, getY, setLocation, setX, setY`

### Methods inherited from class org.eclipse.graphiti.PropertyBag

`getProperty, getPropertyKeys, putProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.features.context.IAddContext

`getNewObject`

### Methods inherited from interface org.eclipse.graphiti.features.context.IAreaContext

`getHeight, getWidth`

### Methods inherited from interface org.eclipse.graphiti.features.context.ILocationContext

`getX, getY`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

### Methods inherited from interface org.eclipse.graphiti.features.context.ITargetConnectionContext

`getTargetConnection`

### Methods inherited from interface org.eclipse.graphiti.features.context.ITargetConnectionDecoratorContext

`getTargetConnectionDecorator`

### Methods inherited from interface org.eclipse.graphiti.features.context.ITargetContext

`getTargetContainer`

## Constructor Details

### AddConnectionContext

public AddConnectionContext(Anchor sourceAnchor, Anchor targetAnchor)
Creates a new `AddConnectionContext`.

Parameters:
  `sourceAnchor` - the source anchor
  `targetAnchor` - the target anchor

## Method Details

### getSourceAnchor

public Anchor getSourceAnchor()
Description copied from interface: `IConnectionContext`
Gets the source anchor.

Specified by:
  `getSourceAnchor` in interface `IConnectionContext`
Returns:
  the source anchor

### getTargetAnchor

public Anchor getTargetAnchor()
Description copied from interface: `IConnectionContext`
Gets the target anchor.

Specified by:
  `getTargetAnchor` in interface `IConnectionContext`
Returns:
  the target anchor

### toString

public String toString()

Overrides:
  `toString` in class `AddContext`